% vrati vystupny signal zvnutra zasobnika fazovacieho clanku 
% vystupny signal je odobraty zo zasobnika na specifickej pozicii


function [out] = allpasszasobnik(in, delay, gain, delaybuffer)

b(delaybuffer+1)=1;
a(1)=1;
a(delay+1)=gain;
	
out = filter(b, a, in);
